# Uses of Interface
org.eclipse.microprofile.openapi.models.callbacks.Callback

Packages that use Callback
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3 documents from their JAX-RS applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.callbacks
An interface to represent callback URL.

## Uses of Callback in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return Callback
Modifier and Type
Method
Description
`static Callback`
OASFactory.`createCallback()`
This method creates a new `Callback` instance.
`default Callback`
OASFilter.`filterCallback(Callback callback)`
Allows filtering of a particular Callback.
Methods in org.eclipse.microprofile.openapi with parameters of type Callback
Modifier and Type
Method
Description
`default Callback`
OASFilter.`filterCallback(Callback callback)`
Allows filtering of a particular Callback.

## Uses of Callback in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type Callback
Modifier and Type
Method
Description
`Map<String,Callback>`
Components.`getCallbacks()`
Returns the callbacks property from a Components instance.
`Map<String,Callback>`
Operation.`getCallbacks()`
Returns the callbacks property from an Operation instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type Callback
Modifier and Type
Method
Description
`Components`
Components.`addCallback(String key, Callback callback)`
Adds the given callback to this Components' map of callbacks with the given string as its key.
`Operation`
Operation.`addCallback(String key, Callback callback)`
Adds the given callback item to this Operation's map of callbacks.
Method parameters in org.eclipse.microprofile.openapi.models with type arguments of type Callback
Modifier and Type
Method
Description
`default Components`
Components.`callbacks(Map<String,Callback> callbacks)`
Sets this Components' callbacks property to the given Map containing keys and reusable callback objects.
`default Operation`
Operation.`callbacks(Map<String,Callback> callbacks)`
Sets this Operation's callbacks property to the given map.
`void`
Components.`setCallbacks(Map<String,Callback> callbacks)`
Sets this Components' callbacks property to the given Map containing keys and reusable callback objects.
`void`
Operation.`setCallbacks(Map<String,Callback> callbacks)`
Sets this Operation's callbacks property to the given map.

## Uses of Callback in org.eclipse.microprofile.openapi.models.callbacks

Methods in org.eclipse.microprofile.openapi.models.callbacks that return Callback
Modifier and Type
Method
Description
`Callback`
Callback.`addPathItem(String name, PathItem pathItem)`
Adds the given PathItem to this Callback's list of PathItems using the string as its key.